package org.project.item.weapons;

import org.project.entity.Entity;
import org.project.item.Item;


public abstract class Weapon implements Item {
    private String name;
    private int damage;
    private int manaCost;

    public Weapon(String name, int damage, int manaCost) {
        this.name = name;
        this.damage = damage;
        this.manaCost = manaCost;
    }

    public int getDamage() {
        return damage;
    }

    public int getManaCost() {
        return manaCost;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void use() {
        System.out.println(getName() + " equipped!");
    }


}
